<?php
namespace MyMenu\Controllers;

class ImageController{
    
    public function __construct($connection)
    {
        $this->connection = $connection;
    }
    
    public function getImage($request){
        
        // var_dump(get_class_methods($request));
        $params = $request->getParameters();
        
        $query = "SELECT BASE64ENCODE(FGFOTOPRATO) AS FGFOTOPRATO FROM FOTOPRATOBLOB S WHERE NRFOTOPRATOBLOB = :NRFOTOPRATOBLOB";
        $queryParams = [
            "NRFOTOPRATOBLOB" => $params["NRFOTOPRATOBLOB"]
        ];
        $statement = $this->connection->prepare($query);
        $statement->execute($queryParams);
        $image = $statement->fetchAll();
        
        $code_base64 = $image[0]["FGFOTOPRATO"];
        $code_base64 = str_replace('data:image/jpeg;base64,','',$code_base64);
        $code_binary = base64_decode($code_base64);
        $image= imagecreatefromstring($code_binary);
        header('Content-Type: image/jpeg');
        header('Cache-Control: public, max-age=31536000');
        imagejpeg($image);
        imagedestroy($image);
        
        die;        
        // $response->addMessage(new Message(self::versionNumber));
    }
}
